#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <string>
using namespace std;

string to_string(int n)
{
    string res = "";
    if (n == 0)
        return "0";
    while (n > 0) 
        res += n % 10 + '0', n /= 10;
    reverse(res.begin(), res.end());
    return res;
}

int main()
{
    int n;
    freopen("maxnumber.in", "r", stdin);
    freopen("maxnumber.out", "w", stdout);
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++)
        cin >> a[i];
    string maxx = "";
    for (int i = 0; i < n; i++)
        maxx += to_string(a[i]);
    sort(a.begin(), a.end());
    vector<int> ans = a;
    while (next_permutation(a.begin(), a.end()))
    {
        string cur = "";
        for (int i = 0; i < n; i++)
            cur += to_string(a[i]);
        if (cur > maxx)
        {
            maxx = cur;
            ans = a;
        }
    }
    for (int i = 0; i < n; i++)
        cout << ans[i] << ' ';
    return 0;
}