#include <bits/stdc++.h>

int dx[] = {-1, -1, -1};
int dy[] = {-1, 0, 1};

const int INF = 1e9;

int main() {
    freopen("run.in", "r", stdin);
    freopen("run.out", "w", stdout);
    int n;
    scanf("%d", &n);
    std::vector < std::vector <int> > a(n, std::vector <int>(3));
    std::vector < std::vector <int> > dp(n, std::vector <int>(3, -INF));
    for (int i = 0; i < n; i++) {
        char s[5];
        scanf("%s", s);
        for (int j = 0; j < 3; j++) {
            if (s[j] == '.')
                a[i][j] = 0;
            else
            if (s[j] == 'C')
                a[i][j] = 1;
            else
                a[i][j] = -1;
        }         
    }
    for (int i = 0; i < 3; i++)
        dp[0][i] = 0;
    for (int i = 1; i < n; i++)
    for (int j = 0; j < 3; j++) {
        for (int it = 0; it < 3; it++) {
            int ni = i + dx[it];
            int nj = j + dy[it];
            if (ni >= 0 && ni < n && nj >= 0 && nj < 3 && a[ni][nj] != -1 && dp[i][j] < dp[ni][nj] + a[ni][nj])
                dp[i][j] = dp[ni][nj] + a[ni][nj];
        }                                                                              
    }

    int ans = -INF;
    for (int i = 0; i < n; i++)
    for (int j = 0; j < 3; j++)
        if (a[i][j] != -1 && ans < dp[i][j] + a[i][j])
            ans = dp[i][j] + a[i][j];
    printf("%d\n", ans < 0 ? 0 : ans);
    return 0;          
}